.tabbar {
  --background: #FFFFFF;
  --light-grey: #C6CFD9;
  --primary: #4F29F0;
  --secondary: #fff;
  --size: 30px;
  --offset1: 0;
  --offset2: 0;
  background: var(--background);
  width: 300px;
  height: 75px;
  position: relative;
  border-radius: 75px;
  box-shadow: 0 10px 30px rgba(65, 72, 86, 0.05);
  overflow: hidden;
}
.tabbar ul {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0 15px;
  box-sizing: border-box;
  display: flex;
  justify-content: space-around;
  align-items: center;
  filter: url("#goo");
}
.tabbar ul > li {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  width: var(--size);
  height: var(--size);
}
.tabbar ul > li.active > div {
  background: var(--primary);
  transition: background 0.2s ease 0.1s;
}
.tabbar ul > li:nth-of-type(1) > div {
  clip-path: url(#path-icon-01);
}
.tabbar ul > li:nth-of-type(2) > div {
  clip-path: url(#path-icon-02);
}
.tabbar ul > li:nth-of-type(3) > div {
  clip-path: url(#path-icon-03);
}
.tabbar ul > li:nth-of-type(4) > div {
  clip-path: url(#path-icon-04);
}
.tabbar ul > li > div {
  background: var(--light-grey);
  width: 100%;
  height: 100%;
  pointer-events: none;
  position: relative;
  pointer-events: none;
  transform: rotate(0deg);
  transform-origin: bottom;
  transition: background 0.2s ease;
}
.tabbar ul > li > div > svg {
  width: var(--size);
  height: var(--size);
  z-index: 2;
  pointer-events: none;
}
.tabbar ul > li > div > svg > use {
  stroke-width: 2px;
  stroke-linecap: round;
}
.tabbar ul > li.rotateRight > div {
  animation: rotateRight 0.3s ease-out 0.5s forwards;
  background: var(--primary);
}
.tabbar ul > li.rotateLeft > div {
  animation: rotateLeft 0.3s ease-out 0.5s forwards;
  background: var(--primary);
}
.tabbar ul > li > .indictor {
  display: block;
  width: 14px;
  height: 14px;
  margin: -7px 0 0 -7px;
  position: absolute;
  top: 50%;
  left: 50%;
  z-index: -1;
  border-radius: 50%;
  background: var(--primary);
}
.tabbar ul > li > .indictor.slide {
  transform: translateX(var(--offset1));
  transition: transform 0.6s ease-out;
}
.tabbar ul > li > .indictor.back {
  transform: translateX(var(--offset2));
  transition: transform 0.2s ease-in;
}
.tabbar ul > li > .indictor.jump {
  animation: jump 0.77s ease-out forwards;
}

@keyframes rotateRight {
  50% {
    transform: rotate(20deg);
  }
}
@keyframes rotateLeft {
  50% {
    transform: rotate(-20deg);
  }
}
@keyframes jump {
  30%, 35% {
    top: -30px;
  }
  85% {
    top: calc(50% + 12px);
  }
}
body {
  background: #eeeef5;
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
body .socials {
  position: fixed;
  display: block;
  left: 20px;
  bottom: 20px;
}
body .socials > a {
  display: block;
  width: 30px;
  opacity: 0.2;
  transform: scale(var(--scale, 0.8));
  transition: transform 0.3s cubic-bezier(0.38, -0.12, 0.24, 1.91);
}
body .socials > a:hover {
  --scale: 1;
}